7sDoc Help

7sDoc is a free search engine tool for searching files, located on your computer.

The program is designed for quick search files by content data. 7sDoc scans selected directories with your document files and builds search index on files content for further quick search. 7sDoc perform text search in files such as DOC, XLS, RTF, TXT, HTM.

On search the program finds documents and sorts them in such a way, that the most relevant for your query documents are shown at the top of result list.

Home page:7s.backupforall.com
Support E-mail: svap@mari-el.ru

Contact person: Sergey Apollonov
CopyRight 2010 © SVA-soft

Search Files

When you enter a search phrase and press Search button, the program shows the list of found files, that matched your query. On search, each file is estimated by several parameters such as frequency of search phrase, search phrase position inside the file, importance of found keywords, file size, file age, etc. This estimation is used to sort the list of found files by relevance to your query.

Configure search indexing options

  • Directories to be Indexed - this is a list of directories with your files to be included in the Search Index. You can select one or more directories without any limitations.
  • File Extension to be Indexed. - this is a list of file types which are available for indexing. Only the chosen files will be included in the Search Index.
  • Remove Unexisted Files from Index on Next Indexing - this option forces the program to remove all unexisted files from Search Index on next indexing.
  • Perform Full Index Rebuild on Next Indexing If checked, then the program will delete the old Search Index before reindexing, and will rebuild index for all selected directories. If the Search Index exists and option is not checked - then it forces the program to do incremental reindexing. This way is usually much quicker, because only files which are not indexed or changed will be processed.

Build Index

This button launches index creation. Note, if you add or update files, located in directories, you have selected for indexing, then the program will not reindex them automatically. To update Search Index you must do this manually. In this case be sure the option Perform Full Index Rebuild on Next Indexing is uchecked to do fast incremental reindexing.


7sDoc 1.1 FREEWARE LICENCE INFORMATION

  1. All copyrights to SVA-software 7sDoc are exclusively owned by the author - SVA-software group.

  2. YOU SHOULD CAREFULLY READ THE FOLLOWING TERMS AND CONDITIONS BEFORE USING THIS SOFTWARE. Unless you have a different license agreement signed by SVA-Software, your use of this software indicates your acceptance of this license agreement and warranty.

  3. Installing and using Software signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license you must remove Software files from your storage devices and cease to use the product.

  4. The SVA-software 7sDoc is FREEWARE.

  5. You are hereby licensed to make any number of backup copies of this free software and documentation. You can give the copy of the software to anyone or distribute the freeware version of the software providing that no additional fee is charged and the package files are not modified in any way.

  6. This program IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS,DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

Thank you for using our product.


What's new in this version ?

Version 1.12 (07 aug 2010)

  1. The search algorithm have been changed for getting better results on long queries with a lot of search words.
  2. Files with dublicate content are shown beside in the query result


Contacts

7sDoc home page: | 7s.backupforall.com
Support E-mail: | svap@mari-el.ru
Contact person: | Sergey Apollonov

CopyRight © SVA-soft